whatsapp
Get broadcast
Retrieve detailed information about a single broadcast including delivery statistics.
AuthorizationBearer <token>
API key authentication - use your Late API key as a Bearer token
In: header
Path Parameters
broadcastIdstring
Broadcast ID
Response Body
application/json
application/json
application/json
curl -X GET "https://getlate.dev/api/v1/whatsapp/broadcasts/string"{
"success": true,
"broadcast": {
"id": "string",
"name": "string",
"description": "string",
"template": {},
"status": "draft",
"recipientCount": 0,
"scheduledAt": "2019-08-24T14:15:22Z",
"startedAt": "2019-08-24T14:15:22Z",
"completedAt": "2019-08-24T14:15:22Z",
"sentCount": 0,
"deliveredCount": 0,
"readCount": 0,
"failedCount": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"error": "Unauthorized"
}{
"error": "Not found"
}List recipients GET
List recipients of a broadcast with their delivery status. Supports filtering by delivery status and pagination.
List broadcasts GET
List all WhatsApp broadcasts for an account. Returns broadcasts sorted by creation date (newest first) without the full recipients list for performance.